{% extends 'base.html' %}

{% block title %}Update Event{% endblock %}

{% block content %}

	{% if user.is_anonymous == False %}
		<div class="container">
			<div class="row">
				<div class="col-6 offset-3">
					<h1 class="text-center">Update Event</h1>
					{% if error == True %}
						<p class="text-danger">Event not found</p>
					{% endif %}

					<form action="{% url 'todolist:update_event' events_id %}" method="post">
						<!-- This template tag provides protection against Cross Site Request Forgeries (CSRF) -->
						<!-- CSRF occurs when a malicious website contains a link, a form button or some JavaScript that is intended to perform some action our website, using the credentials of a logged-in user -->
						{% csrf_token %}

						<div class="mb-3">
							<label for="event_name" class="form-label">Event Name:</label>
							<input type="text" class="form-control" id="event_name" name="event_name" value="{{event_name}}" maxlength="50" required>
						</div>

						<div class="mb-3">
							<label for="description" class="form-label">Description:</label>
							<textarea class="form-control" id="description" name="description" value="{{description}}" required>{{ description }}</textarea>
						</div>

						<div class="mb-3">
							<label for="status" class="form-label">Status:</label>
							<input class="form-control" id="status" name="status" value="{{status}}" required></input>
						</div>

						<div class="mb-3">					
							<input class="btn btn-success" type="submit" value="Update Event">
						</div>

					</form>
				</div>
			</div>
		</div>

		{% else %}
			<h1 class="tex-center my-3">You are not authorized to access this page.</h1>
			<p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>

		{% endif %}
{% endblock %}